| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XMLInteger Class Reference

Inheritance diagram for XMLInteger:

[legend]
List of all members.

## Public Member Functions

| XMLInteger (const int intVal)
| Constructs a newly allocated `XMLInteger` object.
| ~XMLInteger ()
int | intValue () const
| Returns the built in integer value.

## Constructor & Destructor Documentation

XMLInteger::XMLInteger | ( | const int | intVal | ) |

Constructs a newly allocated `XMLInteger` object.

Parameters:

  | intVal | the `integer`

XMLInteger::~XMLInteger | ( |  | ) |

## Member Function Documentation

int XMLInteger::intValue | ( |  | ) | const

| Returns the built in integer value.

The documentation for this class was generated from the following file:

- XMLInteger.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.